transform.hpp File Reference

## Classes

struct | ranges::v3::transform_fn

## Typedefs

template<typename I , typename O , typename F , typename P = ident>
using | ranges::v3::Transformable1 = meta::strict_and< InputIterator< I >, WeaklyIncrementable< O >, CopyConstructible< F >, Writable< O, indirect_result_of_t< F &(projected< I, P >)> >>
template<typename I0 , typename I1 , typename O , typename F , typename P0 = ident, typename P1 = ident>
using | ranges::v3::Transformable2 = meta::strict_and< InputIterator< I0 >, InputIterator< I1 >, WeaklyIncrementable< O >, CopyConstructible< F >, Writable< O, indirect_result_of_t< F &(projected< I0, P0 >, projected< I1, P1 >)> >>

## Variables

constexpr with_braced_init_args< transform_fn > | ranges::v3::transform {}